body,
html {
    font-size: 16px;
    overflow-x: hidden;
}
body {
    margin: 0;
    overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Playfair Display", serif;
}

h2 {
    font-size: 2rem;
}

a,
p {
    font-family: "Heebo", sans-serif;
    font-size: 1.25rem;
}


li {
    font-family: "Heebo", sans-serif;
}

/************** Basic **************/

.uk-container-large {
    max-width: 1400px;
}

h1 {
    font-size: 3.25rem;
} 

.uk-link,
a {
    color: #1e4e9d;
}

section > .uk-container, .uk-container.uk-navbar-container {
    padding-left: 2rem !important;
    padding-right: 2rem !important;
}

/************** LOGO ***************/
svg.uk-svg {
    height: auto;
    width: 270px;
}

/************** MAINNAV ***********/
.uk-navbar-container :not(.uk-background-transparent){
	background: white !important; 
}


/* .mainnav ul > li {
    margin: 0 30px;
} */

.mainnav > ul > li > a {
    font-size: 1.25rem;
    text-transform: initial;
    color: black;
    font-weight: 400;
    min-height: 60px;
    margin: 0px 0.65vw;
    font-family: Heebo;
}
.mainnav > ul > li > a:hover {
    color: #1e4e9d;
}

ul.uk-navbar-nav.uk-navbar > li:last-child {
    background: #f7faff; 
    padding: 0 15px;
    margin-left: 25px;
}

ul.uk-navbar-nav.uk-navbar > li:last-child a {
    font-weight: 600;
    color: #1e4e9d !important;
}
 

/* LEVEL 2 Menü*/

.uk-navbar-dropdown-nav > li > a {
    color: #666;
}

a.uk-text-left.sub-menu-hover:hover {
    color: #1e4e9d !important;
}
/* * * * * * * * 2024 LEA * * * * * * * * * */

.nav-wrapper.uk-sticky{
	
	&.uk-sticky-fixed {
		background: rgba(255, 255, 255, .9);
		backdrop-filter: blur(.25rem);
	} 
	
	.mainnav{ 
		
		ul.uk-navbar-nav.uk-navbar{
			
			li{
				
				a.nav-link-text{ /* LEVEL 1 */
					/*color: violet;*/                
				}
				
				.uk-navbar-dropdown{
					
					&.uk-drop > ul > li a {
						font-size: 1.1rem;
						letter-spacing: -.03rem;
						font-weight: 200;
						text-align: left;
					}
					
					> ul.uk-nav-sub {
						text-align: left;
						letter-spacing: -.5px;
						font-weight: 200;
					}
					
					ul.uk-navbar-dropdown-nav {
						
						> li {                       
							display: flex;
							flex-direction: column;
							min-width: 11.25rem;

							> a { /* LEVEL 2 */ 
								 
								font-size: 1.125rem;
								text-transform: uppercase;
							}
							
							a.sub-menu-hover {
								font-size: 1.1rem !important;
								font-weight: 400 !important;
								/* color: #1E4E9D !important; */
							}
							
							ul.uk-nav-sub {
								padding: 1rem 0rem;
								
								>li{
									>a{
										font-size: 1.125rem;
									}
								}
							}

						}
					}
				}
			} 
		}  
	}
}
 
#nav-mobile{

	ul.uk-nav-sub.uk-drop.uk-dropdown.uk-dropnav.uk-open {
		box-shadow: none;
		margin-bottom: 1rem;
	}
}
/* * * * * * * * * * * * * * * * * * * * * * */
 
/* LEVEL 3 Menü*/
.sub-menu ul > li a.sub-menu-hover {
    font-size: 0.95rem !important;
    margin: 10px 0 10px 0;
    line-height: 125%;
    color: #757575 !important;
}

.sub-menu ul > li a.sub-menu-hover:hover {
    color: #1e4e9d !important;
}
 

.uk-offcanvas-bar > .uk-nav-primary > li > a,
.uk-offcanvas-bar a {
    color: #757575 !important;
    /* filter: opacity(0.5); */
}
.uk-offcanvas-bar > .uk-nav-primary > li > a:hover,
.uk-offcanvas-bar a:hover {
    color: #1e4e9d !important;
}

/* LINKS im MEGA-MENÜ */

.uk-navbar-dropdown.uk-container.uk-container-large.uk-drop {
    margin-top: 0px;
}

a.uk-text-left.sub-menu-hover {
    height: auto;
    min-height: 20px;
    vertical-align: middle;
    font-size: 1.1rem !important;
    /* font-weight: 400 !important; */
}

.uk-offcanvas-bar ul.nav-children {
    margin: 0 0 10px;
}

.uk-navbar-dropbar.uk-navbar-dropbar-slide {
    margin: -1px;
}

.uk-button-text::before {
    content: "";
    position: absolute;
    bottom: -5px;
    left: 0;
    right: 100%;
    border-bottom: 1px solid #4f78b9;
    transition: right 0.3s ease-out;
}

/* * * * * * * * 2024 LEA * * * * * * * * * 
			OFFCANVAS-NAVI
* * * * * * * * * * * * * * * * * * * * * */
.uk-offcanvas-reveal{
	
	/* LEV1 */
	ul.uk-nav-primary.uk-nav{
	 	> li.uk-parent{
			
			&.child-active{
				> a {
					color: #1e4e9d !important;
				}
			}
			
			/* LEV2 */ 
			ul.uk-nav-sub{
				> li {
					text-transform: uppercase; 
					
					/* LEV3 */ 
					ul.uk-nav-sub{						
						position: relative; 
						line-height: 1.25rem;
						/*
						&:before {
							content: '';
							position: absolute;
							left: 3px;
							background: red;
							width: 1px;
							height: 80%;
						}
						*/
						
						 
					}
					
				}
			}
			
		}
		
		 
	}
			
		 

}





/*************** BildSlider ******/

.header-slider-wrapper {
    position: relative;
    z-index: 2;
}

/* BildSlider - HOME */
.site-7 .texteingabe {
    /* padding-right: 0; */
    /* height: 100%; */
    position: relative;
}

.site-7 .afterBG {
    padding: 90px 0 90px 120px;  
}

@media only screen and (max-width: 768px) {
   
}
 

.site-7 .afterBGbtn {
    padding: 0px 0 90px;
}

.site-7 .afterBG::after {
    content: "";
    position: absolute;
    top: -40px;
    left: -29%;
    background: #f7f7f7;
    z-index: -1;
    right: -45%;
    height: 80%;
}

.bildslider--button-overlay {
    position: absolute;
    height: 50px;
    width: 50px;
    background: #04177b;
    left: 22px;
    bottom: 22px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 64 64' aria-labelledby='title'%0Aaria-describedby='desc' role='img' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Ctitle%3EArrow Down%3C/title%3E%3Cdesc%3EA line styled icon from Orion Icon Library.%3C/desc%3E%3Cpath data-name='layer2' fill='none' stroke='%23FFD9B7' stroke-miterlimit='10' stroke-width='2' d='M31.999 50V14' stroke-linejoin='miter' stroke-linecap='round'%3E%3C/path%3E%3Cpath data-name='layer1' fill='none' stroke='%23FFD9B7' stroke-miterlimit='10' stroke-width='2' d='M18 36l14 14 14-14' stroke-linejoin='miter' stroke-linecap='round'%3E%3C/path%3E%3C/svg%3E");
}

a.uk-position-center-right-out.uk-position-small.uk-icon.uk-slidenav-next.uk-slidenav,
.uk-position-center-left-out.uk-position-small.uk-icon.uk-slidenav-previous.uk-slidenav {
    display: none;
}

/***************** Texteingabe ****/

.texteingabe {
    position: relative;
    z-index: 1;

    a.btn {
        padding: 15px 30px;
        color: black;
        background-color: #f7f7f7;
        margin: 20px 0;
        display: inline-block;
        /* width: auto; */
    }

    .afterBG{ }

    .afterBGbtn a {
       
    }

    @media only screen and (max-width: 768px){
        
        .afterBGbtn a{
            height: 125px;
            /* background: linear-gradient(45deg, #04177b, hsl(230 94% 35% / 1)); */
            display: flex;
            width: auto;
            position: relative;
            align-content: center;
            justify-content: center;
            align-items: center;

        }

    }
}

 

/* .uk-grid-small.uk-grid > .texteingabe {
    padding-left: 0px;
} */

/* .uk-first-column ~ .texteingabe{
    padding-left: 70px !important; 
} */

/**************** Call-2-Action ***/

button.positionCTA {
    background: transparent;
    font-size: 1.25rem;
    color: black;
    text-transform: inherit;
    word-break: keep-all;
     
}
 
a button::before {
    content: "";
    position: absolute;
    height: 5px;
    background: #04177b;
    z-index: -1;
    top: 15%;
    left: -300%;
    right: 340px;
}
/*************** KACHELN ***********/

.iconWrapper {
    margin: auto;
    cursor: pointer;
    width: auto;
    /*padding: 70px 50px 50px;*/
    padding: 30px 20px;
    transition: all 300ms ease-in-out;
}

.iconWrapper:hover {
    background: #f7f7ff;
}

.iconWrapper h2 {
    padding: 20px 10px;
    min-width: 250px;
    transition: all 300ms ease-in-out;
}

.iconWrapper:hover h2 {
    color: #1e4e9d;
}

/*************** PROJEKTE **********/

/*
.sectionProject {
    margin: 100px 0;
}
*/

.sectionProject {
    margin: 130px 0 60px;
}

.sectionProject .bildmodul::after {
    content: "";
    position: absolute;
    background: #1e4e9d;

    z-index: -1;
    left: 69%;
    right: -262px;
    top: 50%;
    height: 130%;
    transform: translate(0%, -50%);
}
.sectionProject .bildmodul.bg-gfx-left::after {
    content: "";
    position: absolute;
    inset: 0;
    left: -250px;
    top: -10%;
    bottom: -10% !important;
    height: auto;
    right: 60%;
    transform: translate(0, 0);
    background: #e9efff;
}

/**************** Referenzen *******/

.refSlider {
    margin: -100px 0 100px;
    overflow: visible;
}

.refSlider--info-text {
    margin: 10px 0;
}

.refSlider h3,
.refSlider p {
    position: relative;
    z-index: 1;
    background: white;
    display: inline-block;
    padding-right: 15px;
    margin-bottom: 0;
    color: #000;
}

.refSlider--info-text::after {
    content: "";
    position: absolute;
    background-color: #1e4e9d;
    top: 50%;
    height: 5px;
    right: 0;
    left: 0;
    z-index: 0;
}
/*
.refSlider ul li:nth-child(0n) > a {
    transform: translateY(0px);
}*/
.refSlider ul li:nth-child(3n - 2) > a {
    transform: translateY(-20px);
}

.refSlider ul li:nth-child(3n - 1) > a {
    transform: translateY(20px);
}

.uk-subnav-pill > .uk-active > a {
    background-color: #1e4e9d;
    color: #fff;
}

section#product-detail {
    width: 100%;
}

ul.uk-subnav.uk-subnav-pill li a {
    font-size: 1rem !important;
}

.product-cta-sticky a.btn.btn-primary.uk-width-expand {
    position: relative;
    padding: 20px 30px;
    background: #1e4e9d;
    color: white;
    margin: 10px 0 20px;
    transition: all 200ms ease-in;
}

.product-cta-sticky a.btn.btn-primary.uk-width-expand:hover {
    background: #e8f1ff;
    filter: drop-shadow(0px 10px 10px rgba(50, 50, 50, 0.25));
    color: #1e4e9d;
}

.product-detail-content-content--text {
    margin: 40px 0 0;
    position: relative;
    padding: 20px 0 10px;
}


.ref-detail-content-content--text {
    margin: 0 0 3rem;
    position: relative;
    padding: 20px 0 10px;
}
/************** Forms *********/

#Formular .uk-input,
#Formular .uk-select,
#Formular .uk-textarea,
#produktanfrage-form .uk-input,
#produktanfrage-form .uk-select,
#produktanfrage-form .uk-textarea {
    background: transparent !important;
    border: none;
    border-bottom: 1px solid #e5e5e5 !important;
}

textarea {
    max-height: 120px;
}
#yform-produktanfrage-form-field-39-senden,
#yform-Formular-field-30-kontaktanfrage_absenden {
    background: #1e4e9d;
    color: white;
}
/* added by LEA 2024 */
.contact-send .btn.uk-button {
    background: #1e4e9d;
    background-image: linear-gradient(42deg, hsl(230.42deg 93.7% 24.9%), hsl(230 94% 35% / 1));
    color: white;
    min-height: 50px;
    min-width: 200px;
    padding: .7rem 1.25rem;
}

/**** Referenz-anfrage */
/*
.anfrageBG:after {
    content: "";
    background: #f7f7f7;
    height: 110%;
    right: -45%;
    left: -30%;
    top: -10%;
    position: absolute;
    z-index: -1;
}
*/
select,
textarea::placeholder,
input::placeholder {
    color: black !important;
}

/*************** KONTAKT ********/
/*
.kForm::after {
    content: '';
    position: absolute;
    background-color: #f7f7f7;
    height: 50vh;
    z-index: -1;
    width: 50vw;
    top: -35%;
    left: -5%;
}
*/

.kForm::after {
    content: "";
    position: absolute;
    background-color: #f7f7f7;
    height: 140%;
    z-index: -1;
    top: -20%;
    left: -33%; /*-15%*/
    right: -45%;
}
.alert.alert-danger {
    position: relative;
    top: -80px;
    font-size: 1rem;
    color: white;
    letter-spacing: -1px;
    background: red;
    padding: 20px 20px 2px 20px;
}
button#yform-Formular-field-46-absenden {
    background-color: #1e4e9d;
    color: white;
}

.site-5 div#rex-yform { 
    position: relative;
    top: 24%;
}
.site-5 div#rex-yform form {
    padding: 40px 0 40px 90px;
}

/**************** Footer ***********/

.sectionFooter {
    background: #f7f7f7;
    padding: 30px;
}
.mapContainer {
    height: 410px;
    overflow: hidden;
    position: relative;
    bottom: -4px;
    transition: all 250ms ease-in; 
    display: flex;
    flex-direction: column;
    height: 100%;
    bottom: 0px;
}
iframe#iframe-resize {
    margin-top: -60px;
    height: calc(100% + -5px)
}

.bg-blue-1 {
    background-color: #1e4e9d;
}

.bg-blue-2 {
    background-color: #c5cae8;
}

.bg-blue-1,
.bg-blue-2 {
    padding: 15px;
}

.sectionFooter h1 {
    font-size: 1.25rem;
    font-family: "Heebo", sans-serif;
    font-weight: 400;
    color: #1d4d9c;
}

.sectionFooter .texteingabe a {
    color: #1e4e9d;
    border-bottom: 1px solid #174e9d;
}

.uk-link-toggle:focus .uk-link,
.uk-link-toggle:hover .uk-link,
.uk-link:hover,
a:hover {
    text-decoration: none;
}
/*************** MEDIA QUERIES *****/

@media only screen and (max-width: 1486px) {
    h1 {
        font-size: 3rem;
    }

    a,
    p {
        font-size: 1rem;
    }

    .site-7 .afterBG {
        padding: 90px 0 90px 100px;
    }
}



@media only screen and (max-width: 1200px) {
    /* TEXTEINGABE HOME (site-7) */
    h1 {
        font-size: 2.5rem;
    }

    /*.site-7 .texteingabe::after {
       content: '';
       position: absolute;
       top: 175px;
       left: 50%;
       background: #F7F7F7;
       z-index: -1;
       right: 0;
       height: 380px;
   }*/

    .uk-padding-large {
        padding: 70px;
    }
}



@media only screen and (max-width: 768px) and (max-height: 1024px) {
    /* HOME */
    section.sectionProject {
        padding: 0px;
    }
    .sectionOverview {
        height: 20vh !important;
        padding: 0 !important;
    }

    .kForm::after {
        content: "";
        position: absolute;
        /* background-color: #f7f7f7; */
        height: 60vh;
        z-index: -1;
        width: 60vw;
        top: -10%;
        left: -7vw;
    }

    a button::before {
        content: "";
        position: absolute;
        height: 5px;
        background: #04177b;
        z-index: -1;
        top: 45%;
        left: -300%;
        right: 340px;
    }

    /* Kontakt-Form */
    .site-5 div#rex-yform {
        position: relative;
        top: 0;
    }
    .site-5 div#rex-yform form {
        padding: 0;
    }

    .kForm::after {
        content: "";
        position: absolute;
        background-color: #f7f7f7;
        height: 82vh;
        z-index: -1;
        top: -10%;
        width: 100vw;
        left: -4vw;
    }

    /*
    .form-group input, .form-group textarea, .form-group select {
        text-align: center;
    }
    */

    /* Referenz-Anfrage-Kontaktform */
    .site-14 .uk-padding-large.uk-padding-remove-right.uk-margin-medium-left {
        margin: 0 !important;
        padding: 40px 0;
    }

    .site-14
        section.color-1.uk-padding-large.uk-padding-remove-horizontal:last-child {
        padding: 100px 0 0;
    }
}

@media only screen and (max-width: 1024px) {
    .content-wrapper {
        overflow-x: hidden;
    }
}

@media only screen and (max-width: 960px){
    .mapContainer   {
        min-height: 500px;
    }
}

@media only screen and (max-width: 1440px) and (max-height: 900px) {
    .slider.uk-padding-large {
        padding: 0px;
    }

    .site-7 .afterBG::after {
        top: -70px;
    }

    .site-7 .afterBGbtn {
        padding: 0 0 20px;
    }

    a button::before {
        content: "";
        position: absolute;
        height: 5px;
        background: #04177b;
        z-index: -1;
        top: 30%;
        left: -300%;
        right: 340px;
    }
}

@media only screen and (max-width: 960px) {
    .positionCTA:after,
    .positionCTA:before {
        content: none;
    }

    button.positionCTA.uk-button.uk-button-transparent.uk-padding-remove.uk-button-large {
        background-image: linear-gradient(42deg, hsl(230.42deg 93.7% 24.9%), hsl(230 94% 35% / 1));
        padding: 20px !important;
        color: white;
        
        margin: 10px !important;
    }

    .uk-padding-large.uk-padding-remove-vertical.buttonAfterText.texteingabe {
        padding: 0rem 2rem !important;
    }
}

@media only screen and (max-width: 1024px) and (max-height: 768px) {
    .site-7 .afterBG {
        padding: 30px 0 100px 50px;
    }
}
@media only screen and (max-width: 768px) { 

    .uk-padding-large {
        padding: 70px 50px;
    }

    .siteWrapper {
        overflow-x: hidden;
    }

    /* Section-BildSlider */
    .slider.uk-padding-large.uk-padding-remove-horizontal.header-slider.uk-slideshow.uk-scrollspy-inview.uk-animation-fade {
        padding: 0px 0 0px;
    }
    section.color-1.uk-padding-large.uk-padding-remove-horizontal:first-child {
        padding: 0px;
    }
    .slider.uk-padding-large.uk-padding-remove-horizontal.header-slider.uk-slideshow.uk-scrollspy-inview.uk-animation-slide-right {
        padding: 0px 0 0px;
    }

    .site-7 .afterBG {
        padding: 40px 175px 50px 30px;
    }

    button.positionCTA {
        position: absolute;
        transform: translate(-50%, -50%);
        left: 50%;
        top: 50%;
        min-height: 100px; 
        min-width: 275px;
        line-height: 150%;
    }
  

    /* Projekte */

    .sectionProject {
        margin: 0px 0;
    }

    .sectionProject .bildmodul {
        margin-top: -50px;
        margin-bottom: 100px;
    }

    .afterBG br,
    .sectionProject .texteingabe br,
    .sectionOverview h1 br {
        display: none;
    }

    /* REF-Slider*/

    .sectionOverview {
        margin: 50px 0;
    }

    .sectionOverview {
        height: 40vw;
    }

    /* .refSlider {        overflow-y: hidden;    } */

    /* Kacheln */
    .iconWrapper {
        padding: 30px 0px;
    }

    .iconWrapper h2 {
        padding: 30px 0px;
        font-size: calc(2rem - 1vw);
    }

    /* Footer Elemente*/

    .uk-grid-collapse.uk-grid.uk-grid-stack {
        margin-bottom: 50px;
    }

    iframe#iframe-resize {
        height: initial;
    }
}

@media only screen and (max-width: 414px) {
    .site-7 .afterBG {
        padding: 2rem 1rem 4rem 1rem !important;
    }
}

@media only screen and (max-width: 414px) {
    
    .uk-padding-large.uk-padding-remove-vertical.buttonAfterText.texteingabe.uk-width-1-2\@m.uk-width-1-1\@s.uk-grid-margin.uk-first-column.uk-scrollspy-inview.uk-animation-slide-bottom-medium {
        margin: 0px -20px 0 15px;
    }

    .afterBG {
        margin-left: 10px;
    }
 

    .uk-padding-large {
        padding: 70px 20px;
    }

    .uk-padding-large.uk-padding-remove-vertical.buttonAfterText.texteingabe {
        padding: 0rem 2rem 2rem;
    }

    .afterBG br,
    .sectionProject .texteingabe br,
    .sectionOverview h1 br {
        display: initial;
    }

    .refSlider {
        margin: -30px 0 0;
        overflow: visible;
    }

    /* CTA */
    a button::before {
        content: "";
        position: absolute;
        height: 5px;
        background: #04177b;
        z-index: -1;
        top: 49%;
        left: -50%;
        right: 220px;
    }

    .infoTafel {
        margin-left: 30px !important;
        padding: 60px 0 0;
    }

    /* Über Uns */

    .site-4 .uk-padding-large.texteingabe {
        padding: 30px 0 !important;
    }

    .site-4 .uk-padding-large {
        padding: 0px 0;
    }

    .site-4 .uk-grid-collapse.uk-grid.uk-grid-stack {
        margin-bottom: 0px;
    }

    /* Referenzen */

    .sectionOverview {
        height: 100%;
        margin: 0px 0 120px;
    }

    .sectionFooter {
        padding: 30px 10px;
    }
}



/* * * * * * * * * * * * * * * * * * * * * * * * * * *
				COOKIE CSS Styles
* * * * * * * * * * * * * * * * * * * * * * * * * * */

.consent_manager-buttons > button {
    color: white;
    background: rgb(0 57 146) !important;
    border: none;
    font-family: 'Playfair Display';	 
    font-weight: 400 !important;
}
.consent_manager-show-details > a {
    font-size: 1rem;
}
p.consent_manager-headline {
    font-family: 'Playfair Display';
    font-size: 2rem !important;
    padding: 1rem 0rem .5rem;
	color: rgb(0 57 146) !important;
}
p.consent_manager-text {
    font-family: 'Heebo' !important;
    line-height: 1.5 !important;
    color: rgba(100, 100, 100, .75) !important;
    font-size: 1.125rem;
}
div.consent_manager-sitelinks a {
    display: inline-block;
    
    font-family: 'Playfair Display';
}